Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158206 - undefined reference to `sepol_context_to_sid' at policycoreutils
Summary: undefined reference to `sepol_context_to_sid' at policycoreutils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 16:01 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.23.10-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-21 12:49:31 UTC


Attachments (Terms of Use)

Description Robert Scheck 2005-05-19 16:01:26 UTC
Description of problem:
Rebuilding of policycoreutils fails with this error messages:

[...]
make[1]: Entering directory `/usr/src/redhat/BUILD/policycoreutils-1.23.9/audit2why'
cc -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -Wall -W    audit2why.c  -lsepol -lselinux -o audit2why
audit2why.c: In function 'main':
audit2why.c:30: warning: 'fp' may be used uninitialized in this function
/tmp/ccxoMWcB.o(.text+0x371): In function `main':
/usr/src/redhat/BUILD/policycoreutils-1.23.9/audit2why/audit2why.c:146: undefined reference to `sepol_context_to_sid'
/tmp/ccxoMWcB.o(.text+0x581):/usr/src/redhat/BUILD/policycoreutils-1.23.9/audit2why/audit2why.c:165: undefined reference to `sepol_context_to_sid'
/tmp/ccxoMWcB.o(.text+0x7b0):/usr/src/redhat/BUILD/policycoreutils-1.23.9/audit2why/audit2why.c:208: undefined reference to `sepol_compute_av_reason'
collect2: ld returned 1 exit status
make[1]: *** [audit2why] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/policycoreutils-1.23.9/audit2why'
make: *** [all] Error 1

I've no clue, why I get this error message, libsepol(-devel) and 
libselinux(-devel) are installed.

Version-Release number of selected component (if applicable):
policycoreutils-1.23.9-1

How reproducible:
Everytime, see above.
  
Actual results:
Rebuilding doesn't work.

Expected results:
Rebuilding should work.

Additional info:
Using
  cc -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -Wall -W /usr/lib/libsepol.a   audit2why.c  -lsepol -lselinux -o audit2why
instead of
  cc -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -Wall -W    audit2why.c  -lsepol -lselinux -o audit2why
avoids the error messages.

Comment 1 Daniel Walsh 2005-05-19 17:16:50 UTC
You need to update to policycoreutils-1.23.10-1

Comment 2 Robert Scheck 2005-05-20 17:10:02 UTC
And why isn't policycoreutils-1.23.10-1 available in Rawhide?

Comment 3 Robert Scheck 2005-05-21 12:49:31 UTC
1.23.10-2 was built in today's Rawhide; works -> closing now.


Note You need to log in before you can comment on or make changes to this bug.